import request from '@/utils/request.js'

/**
* 获取测试数据
* @param params
* @returns {AxiosPromise}
*/
export function getBase(param) {
    return request({
        url: 'overview',
        params: param,
        method: 'get',
    })
}

/**
* 获取测试数据
* @param params
* @returns {AxiosPromise}
*/
export function getPlatform(param) {
    return request({
        url: 'name',
        params: param,
        method: 'get',
    })
}
/**
* 获取测试数据
* @param params
* @returns {AxiosPromise}
*/
export function getAllPlatform(param) {
    return request({
        closeLoading: true,
        url: 'platform',
        params: param,
        method: 'get',
    })
}
/**
* 获取测试数据
* @param params
* @returns {AxiosPromise}
*/
export function getList(param) {
    return request({
        url: 'time',
        params: param,
        closeLoading: true,
        method: 'get',
    })
}
/**
* 获取测试数据
* @param params
* @returns {AxiosPromise}
*/
export function getAllcontrast(param) {
    return request({
        url: 'weibo-compare',
        params: param,
        closeLoading: true,
        method: 'get',
    })
}
/**
* 获取测试数据
* @param params
* @returns {AxiosPromise}
*/
export function getCould(param, name) {
    // %E8%A5%BF%E5%AE%89%E8%AF%84%E8%AE%BA 西安
    return request({
        url: 'https://bigdata.smcic.net/data/' + name + '.json',
        params: param,
        closeLoading: true,
        method: 'get',
    })
}

/**
 * 
 * @param {*} param 
 */
export function getlive(params){
    return request({
        url: 'https://bigdata.smcic.net/live-result?topic=' + params.topic + '&platform=' + params.platform,
        method: 'get',
    })
}
