"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;
var devApiUrl = "https://bigdata.smcic.net/"; //本地开发环境

var buildApiUrl = "https://bigdata.smcic.net/"; //打包开发环境
// bigdata.smcic.net

var useApiUrl;

if (process.env.NODE_ENV === "development") {
  useApiUrl = devApiUrl;
} else {
  // production
  // process.env.VUE_APP_MODE
  useApiUrl = buildApiUrl;
}

var _default = {
  timeout: 60000,
  apiUrl: useApiUrl,
  topicOfConversation: [{
    title: "话题对比",
    path: "/contrast"
  }, {
    title: "聚劲延安",
    path: "/gather-yanan"
  }, {
    title: "榆林抗硬",
    path: "/resist-yulin"
  }, {
    title: "西安",
    path: "/gather-xian"
  }, {
    title: "我爱新铜川",
    path: "/gather-tong"
  }, {
    title: "商洛",
    path: "/gather-shang"
  }, {
    title: "汉中",
    path: "/gather-han"
  }, {
    title: "安康",
    path: "/gather-an"
  }]
};
exports["default"] = _default;