"use strict";

var _vue = _interopRequireDefault(require("vue"));

var _App = _interopRequireDefault(require("./App.vue"));

var _router = _interopRequireDefault(require("./router"));

var _utils = _interopRequireDefault(require("./utils/utils"));

var _index = _interopRequireDefault(require("./store/index"));

var _index2 = _interopRequireDefault(require("./config/index"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

_vue["default"].config.productionTip = false;
_vue["default"].prototype.$config = _index2["default"];
_vue["default"].prototype.$utils = _utils["default"];

_router["default"].beforeEach(function (to, from, next) {
  window.local_timeout && window.clearInterval(window.local_timeout);
  next();
});

new _vue["default"]({
  router: _router["default"],
  store: _index["default"],
  render: function render(h) {
    return h(_App["default"]);
  }
}).$mount('#app');