import Vue from 'vue'
import App from './App.vue'
import router from "./router";
import utils from "./utils/utils";
import store from './store/index'
import cof from "./config/index";

Vue.config.productionTip = false;
Vue.prototype.$config = cof;
Vue.prototype.$utils = utils;

router.beforeEach((to, from, next) => {
  window.local_timeout && window.clearInterval(window.local_timeout);
  next();
});
sessionStorage.setItem('season', utils.getUrl("season") || "")
new Vue({
  router,
  store,
  render: h => h(App),
}).$mount('#app')
